package com.cf.imes.module.executor.enums.amount;


import cn.hutool.core.util.ObjectUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 交易类型枚举类
 */

@Getter
@AllArgsConstructor
public enum TradeTypeEnum {


    /**
     * 充值
     */
    INCOME(0, "充值"),
    /**
     * 软件购买
     */
    EXPENSES(1, "软件购买");



    /**
     * 类型
     */
    private final Integer type;

    /**
     * 名称
     */
    private final String name;



    public static TradeTypeEnum fromType(Integer type) {
        if (type == null) {
            return null;
        }
        for (TradeTypeEnum value : values()) {
            if (ObjectUtil.equal(value.getType(), type)) {
                return value;
            }
        }
        return null;
    }

}
